// Generated by CoffeeScript 1.3.3
(function() {

  define(function() {
    return {
      filterCollections: function(collections) {
        var item, name, out, _i, _len;
        out = [];
        for (_i = 0, _len = collections.length; _i < _len; _i++) {
          item = collections[_i];
          if (!(item.name.indexOf('.system.') === -1)) {
            continue;
          }
          name = item.name.substring(item.name.indexOf('.') + 1);
          out.push(name);
        }
        return out;
      },
      filterDocuments: function(docs) {
        var doc, _i, _len;
        for (_i = 0, _len = docs.length; _i < _len; _i++) {
          doc = docs[_i];
          doc.created = this.getCreated(doc._id);
          doc.size = this.readableSize(doc.size);
        }
        return docs;
      },
      readableSize: function(size) {
        var i, units;
        units = ["B", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB"];
        i = 0;
        while (size >= 1024) {
          size /= 1024;
          ++i;
        }
        return "" + (Math.floor(size.toFixed(1))) + " " + units[i];
      },
      getCreated: function(id) {
        var de;
        de = "Unknown";
        if (id == null) {
          return de;
        }
        try {
          return prettyDate(parseInt(id.slice(0, 8), 16) * 1000) || de;
        } catch (_error) {}
        return de;
      },
      prettySeconds: function(secs) {
        var days, hours, minutes, out, seconds;
        days = Math.floor(secs / 86400);
        hours = Math.floor((secs % 86400) / 3600);
        minutes = Math.floor(((secs % 86400) % 3600) / 60);
        seconds = ((secs % 86400) % 3600) % 60;
        out = "";
        if (days > 0) {
          out += "" + days + " days ";
        }
        if (hours > 0) {
          out += "" + hours + " hours ";
        }
        if (minutes > 0) {
          out += "" + minutes + " minutes";
        }
        if (seconds > 0 && days <= 0) {
          out += " " + seconds + " seconds";
        }
        return out;
      }
    };
  });

}).call(this);
